<template>
  <div class="giuseart-nav">
    <ul>
      <li
        class="phone-mobile1"
        v-for="(guiItem, index) in GuiSeart"
        :key="index"
      >
        <a
          :href="guiItem.href"
          rel="nofollow"
          target="_blank"
          :class="guiItem.classLi"
        >
          <i :class="guiItem.class" aria-hidden="true"></i>
          {{ guiItem.title }}
        </a>
      </li>
    </ul>
  </div>
</template>

<script>
export default {
  name: "GuiSeart",
  data() {
    return {
      GuiSeart: [
        {
          classLi: "button1",
          href: "tel:0988467674",
          class: "icon-phone-w",
          title: "Gọi điện",
        },
        {
          classLi: "",
          href: "https://www.google.com/maps/dir//120,+21+%C4%90%C6%B0%E1%BB%9Dng+s%E1%BB%91+59,+ph%C6%B0%E1%BB%9Dng+14,+G%C3%B2+V%E1%BA%A5p,+Th%C3%A0nh+ph%E1%BB%91+H%E1%BB%93+Ch%C3%AD+Minh,+Vi%E1%BB%87t+Nam/@10.8520648,106.6169342,13z/data=!4m8!4m7!1m0!1m5!1m1!1s0x31752995fca6d0eb:0x776fe7933c42bfb3!2m2!1d106.6520396!2d10.8520668",
          class: "ticon-heart",
          title: "Chỉ Đường",
        },
        {
          classLi: "",
          href: "https://zalo.me/0983930475",
          class: "ticon-zalo-circle2",
          title: "Chat Zalo",
        },
        {
          classLi: "",
          href: "https://www.messenger.com/t/dongphucdecharme",
          class: "ticon-messenger",
          title: "Messenger",
        },
        {
          classLi: "d-block d-sm-none",
          href: "sms:0983930475",
          class: "ticon-chat-sms",
          title: "Nhắn tin SMS",
        },
        {
          classLi: "d-none d-sm-block go_top go_tops",
          href: "#",
          class: "ticon-angle-up",
          title: "",
        },
      ],
    };
  },
};
</script>

<style lang="scss">
@import "@/assets/scss/base/variables";
@import "@/assets/scss/base/mixins";
.giuseart-nav {
  background: #fff;
  width: auto;
  z-index: 150;
  border: 1px solid #f2f2f2;
  @include breakpoints(sm) {
    @include position(fixed, null, 13px, 50px, null);
    @include border-radius(5px);
    padding: 10px 0;
  }
  @include breakpoints(max-xs) {
    @include position(fixed, null, 0, 0, 0);
    padding: 5px;
    ul {
      display: flex;
      justify-content: space-between;
    }
  }
  a {
    padding: 3px;
    display: block;
    text-align: center;
    font-size: 10px;
    color: #515151;
    font-weight: 700;
  }
  i {
    @include size-form(33px, 33px);
    @include border-radius(50%);
    background-size: contain;
    display: block;
    margin: auto;
    background-repeat: no-repeat;
  }
}
.icon-phone-w {
  background-image: url("../../assets/images/icons/icon-phone-w.png");
  background-color: #1480c4;
  border: 1px solid #1480c4;
}

.ticon-heart {
  background-image: url("../../assets/images/icons/icon-map.png");
}

.ticon-zalo-circle2 {
  background-image: url("../../assets/images/icons/icon-zalo-circle2.png");
}

.ticon-messenger {
  background-image: url("../../assets/images/icons/icon-messenger.png");
}

.ticon-chat-sms {
  background-image: url("../../assets/images/icons/icon-sms-1.jpg");
}

.ticon-angle-up {
  background-image: url("../../assets/images/icons/icon-angle-up.png");
}
</style>
